<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_lecture.php';

$lecture_id = "";
$class_id="";
$teacher_nam="";
$class_nam="";
$lecture_nam="";
$main_frame="";
$sub_frame = array();

$material_id = "";
$practice_id="";
$vote_id="";
$current_event="";
$event_cnt = 0;
$sub_frames = "";

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

if (isset($_GET["lecture_id"]) && is_numeric($_GET["lecture_id"])) {
	$lecture_id = $_GET["lecture_id"];
}
if (isset($_GET["class_id"]) && is_numeric($_GET["class_id"])) {
	$class_id = $_GET["class_id"];
}

if ($lecture_id == "" || $class_id == "") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

	$class_info_object = new CTeacherClassAccess();
	$class_inf=$class_info_object->getClassMember($conn, $class_id);
	if ($class_inf == false) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/index.php");
		exit;
	} else {
		//Ϥ
		//ԤôԤΤߤΥ
		if ($admin_status <> 1 && $class_inf[0]['teacher_id'] <> $admin_id) {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/class_reg/index.php");
			exit;
		}
	}

if (isset($_GET["event_link_id"]) && is_numeric($_GET["event_link_id"])) {
	$current_event = $_GET["event_link_id"];
}

$lecture_frame_object = new CUseLectureFrame();
//$lecture_frame_object->main("",$lecture_id);
$lecture_frame_object->main($conn,$lecture_id);

$sub_frame = $lecture_frame_object->getSubFrame();
$event_cnt = count($sub_frame);
$lec_status = $lecture_frame_object->getLecStatus();

if ($event_cnt == 0 || ($lec_status <> 3)) {
	//٥ȤꤵƤʤ⤷ϼȤλ֤Ǥʤ
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/class_reg/index.php");
	exit;
}

//if ($current_event <> "") $lecture_frame_object->switchMainFrame($current_event);
$lecture_nam = $lecture_frame_object->getLectureNam();

$main_frame = $lecture_frame_object->getMainFrame();

if (LEC_DISP_TYPE == 0) {
		//楳
	$comment_durlec_frame = "<div id='cdl_frame' style='display:none'>";
	$comment_durlec_frame .= "<iframe src='./comment_durlec_list.php?lecture_id=".$lecture_id;
	$comment_durlec_frame .= "' STYLE='zoom:100%' align='right' width='210' height=400></iframe></div>";
	$main_frame .= $comment_durlec_frame;
	$comment_durlec_link = "<a href='#' onClick=\"javascript:document.getElementById('cdl_frame').style.display='inline';";
	$comment_durlec_link .= "document.getElementById('cdl_frame').style.top=5;";
	$comment_durlec_link .= "document.getElementById('cdl_frame').style.left=850;";
	$comment_durlec_link .= "document.getElementById('cdl_frame').style.position='absolute';";
	$comment_durlec_link .= "\">"._NORM_COMMON_LECTURE_SEE_DURLEC_COMMENT."</a><br/>";
} else if (LEC_DISP_TYPE == 1) {
		//楳
	$comment_durlec_link = "<a href='#' onClick=\"window.open('./comment_durlec_list.php?";
	$comment_durlec_link .= "lecture_id=".$lecture_id."','com_list','width=200,toolbar=0,scrollbars=1'";
	$comment_durlec_link .= ");return false;\">"._NORM_COMMON_LECTURE_SEE_DURLEC_COMMENT."</a><br/>";
}

$event_link_csv = $lecture_frame_object->getEventLinkCsv();

foreach($sub_frame as $event_link_id=>$frame_cont) {
	$sub_frames .= "<td id = 'subframe_".$event_link_id."'>".$frame_cont;

	//$sub_frames .= "<br/><a href='start_lec.php?class_id=".$class_id."&lecture_id=".$lecture_id."&event_link_id=".$event_link_id."'>";
	$sub_frames .= "<br/><a href='#' onClick='switchMainFrame(".$event_link_id.")'>";
	$sub_frames .= _NORM_COMMON_EVENT_VIEW."</a></td>";


}
$main_frame = str_replace("iframe src='now_event.php","iframe src='event_after_lec.php",$main_frame);
$main_frame .= "<div id='comment_form' style='display:none'>";
$main_frame .= "<iframe src='comment_list.php?lecture_id=".$lecture_id."' STYLE='zoom:100%' Scrolling='yes' width='100%' height='95%'></iframe></div>";
if ($conn <> "" && is_object($data_object)) $data_object->closeDB();

$show_data = file_get_contents(TEMPLATE_DIR.'ad_lec_reg/after_lec.tpl');
$show_data = str_replace(':LEC_NAM_REP:', $lecture_nam, $show_data);
$show_data = str_replace(':COLNUM_REP:', ($event_cnt+1), $show_data);
$show_data = str_replace(':MAIN_FRAME_REP:', $main_frame, $show_data);
$show_data = str_replace(':SUB_FRAMES_REP:', $sub_frames, $show_data);
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);

$show_data = str_replace(':EVENT_LINK_CSV_REP:', $event_link_csv, $show_data);
$show_data = str_replace(':CDUL_REP:', $comment_durlec_link, $show_data);

echo $show_data;

?>