<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';

$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_group.php';
require_once '../../util/post_util.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$class_id = "";
$insert_flag = "";
$lecture_nam = "";
$duration = "";
$comment = "";
$lecture_type="";
$lecture_year = "";
$lecture_mon = "";
$lecture_day = "";
$lecture_hour = "";
$lecture_min = "";

if ($lecture_type == null) {
	$lecture_type = 0;
}
if ($_GET <> null) {
	if(isset($_GET['class_id'])) {$class_id = $_GET['class_id'];}

	if (!is_numeric($class_id)) {
//		redirect_header(URL_SET."teacher/class_reg/class_list.php");
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/class_list.php");
		exit;
	}
}
if ($_POST <> null) {
	$insert_flag = $_POST['insert_flag'];
	$lecture_type = $_POST['lecture_type'];
	$lecture_nam = chPostToForm($_POST['lecture_nam']);
	$duration = chPostToForm($_POST['duration']);
	$comment = chPostToForm($_POST['comment']);
}
$err_msg = "";
//ǥեȤ
$now_date = getdate();
$test_year = $now_date["year"];
$test_mon = $now_date["mon"];
$test_day = $now_date["mday"];
$test_hour = "";
$test_min = "";

//$data_object = new CDbAccess();
//if ($data_object->openDB() == false) {
//	$err_msg .= $data_object->err_msg;
//} else {

	if ($class_id == null || $class_id == "") {

	//ƥID򽦤äƤ餺Υեफǡ
		if ($insert_flag == 1) {
			$val_object = new valid_plus_date('lec_nam');
			$val_object->setErrMsgDate($_POST);
			$class_id = $_POST['class_id'];
			$test_year = $_POST["test_year"];
			$test_mon = $_POST["test_mon"];
			$test_day = $_POST["test_day"];
			$test_hour = $_POST["test_hour"];
			$test_min = $_POST["test_min"];

			if ($val_object->err_msg == "") {
				//뤿ΥƥȾ󥪥֥Ȥ
			//	$test_info_object = new CTestInfoTableAccess();
				$lec_info_object = new CLectureTableAccess();

				if (!$lec_info_object->insertLecInfoExe($conn, $_POST)) {
					$err_msg = "<font color='red'>"._EXAM_TEA_TEST_FORM_INS_ERR;
					$err_msg .= $lec_info_object->err_msg."</font>";

				} else {
if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
//					redirect_header(URL_SET."teacher/test_reg/test_list.php?class_id=".$class_id,0,"Ͽޤ");
					header("Content-Type: text/html; charset=EUC-JP");
					header(URL_SET."teacher/lecture_reg/index.php?class_id=".$class_id);
					exit;
				}
			} else {
				$err_msg .= $val_object->err_msg;
			}
		}
	}


//Cube
	if ($ses_list['is_cube'] == 1) {
		if (is_object($data_object)) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
		}
	}

//Xoopsѡ饹δþ
	$class_info_object = new CTeacherClassAccess();
	//$class_inf=$class_info_object->getClassMember($data_object->conn, $class_id);
	$class_inf=$class_info_object->getClassMember($conn, $class_id);
	if ($class_inf == false) {
		$err_msg .= $data_object->err_msg;
		$class_nam = _COMMON_DB_NODATA_FOUND;
		$teacher_nam = _COMMON_DB_NODATA_FOUND;
	} else {
	//Ϥ
	//ԤôԤΤߤΥ
		if ($admin_status <> 1 && $class_inf[0]['teacher_id'] <> $admin_id) {
if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
			redirect_header(URL_SET."teacher/class_reg/index.php");
			exit;
		}
		if (NO_SINGLE_SIGNON == 1) {
		$class_nam = htmlspecialchars(mb_convert_encoding($class_inf[0]['class_nam'],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES);
		$teacher_nam = htmlspecialchars(mb_convert_encoding($class_inf[0]['teacher_nam'],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES);
		} else {
		$class_nam = htmlspecialchars($class_inf[0]['class_nam'],ENT_QUOTES);
		$teacher_nam = htmlspecialchars($class_inf[0]['teacher_nam'],ENT_QUOTES);
		}
		$teacher_id = intval($class_inf[0]['teacher_id']);
	}

if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
//}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_lec_reg/cl_lec_frm.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_NAM:', $class_nam, $show_data);
$show_data = str_replace(':TEA_NAM:', $teacher_nam, $show_data);
	//yearSELECT

	for ($j =11; $j <=25; $j++) {
		if (substr($test_year,2,2) == $j) {
			$show_data = str_replace(':YEA_SEL'.$j.':', "SELECTED", $show_data);
		} else {
			$show_data = str_replace(':YEA_SEL'.$j.':', "", $show_data);
		}
	}
	//MONSELECT
	for ($j =1; $j <=12; $j++) {
		if ($test_mon == $j) {
			$show_data = str_replace(':MON_SEL'.$j.':', "SELECTED", $show_data);
		} else {
			$show_data = str_replace(':MON_SEL'.$j.':', "", $show_data);
		}
	}
	//DAYSELECT
	for ($j =1; $j <=31; $j++) {
		if ($test_day == $j) {
			$show_data = str_replace(':DAY_SEL'.$j.':', "SELECTED", $show_data);
		} else {
			$show_data = str_replace(':DAY_SEL'.$j.':', "", $show_data);
		}
	}

	//HOURSELECT
	for ($j =0; $j <=23; $j++) {
		if ($test_hour == $j) {
			$show_data = str_replace(':HOUR_SEL'.$j.':', "SELECTED", $show_data);
		} else {
			$show_data = str_replace(':HOUR_SEL'.$j.':', "", $show_data);
		}
	}

	//MINSELECT
	for ($j =0; $j <=55; $j = $j+5) {
		if ($test_min == $j) {
			$show_data = str_replace(':MIN_SEL'.$j.':', "SELECTED", $show_data);
		} else {
			$show_data = str_replace(':MIN_SEL'.$j.':', "", $show_data);
		}
	}

	//TEST_TYPESELECT
	for ($j =0; $j <=3; $j++) {
		if ($lecture_type == $j) {
			$show_data = str_replace(':TEST_TYPE_REP'.$j.':', "CHECKED", $show_data);
		} else {
			$show_data = str_replace(':TEST_TYPE_REP'.$j.':', "", $show_data);
		}
	}
	if ($lecture_type == 1) {
		$show_data = str_replace(':LEC_TYPE_REP1:', "CHECKED", $show_data);
		$show_data = str_replace(':LEC_TYPE_REP0:', "", $show_data);
	} else {
		$show_data = str_replace(':LEC_TYPE_REP0:', "CHECKED", $show_data);
		$show_data = str_replace(':LEC_TYPE_REP1:', "", $show_data);
	}
$show_data = str_replace(':LECTURE_NAM_TXT:', $lecture_nam, $show_data);
$show_data = str_replace(':DUR_TXT:', $duration, $show_data);
//$show_data = str_replace(':EXP_SCO:', $exp_score, $show_data);
$show_data = str_replace(':TEA_ID_REP:', $teacher_id, $show_data);
$show_data = str_replace(':CLASS_ID:', $class_id, $show_data);
$show_data = str_replace(':COMMENT_REP:', $comment, $show_data);
echo $show_data;
?>