<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_lecture.php';

$lecture_id = "";
$class_id="";
$teacher_nam="";
$class_nam="";
$lecture_nam="";
$main_frame="";
$sub_frame = array();

$material_id = "";
$practice_id="";
$vote_id="";
$current_event="";
$event_cnt = 0;
$sub_frames = "";

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

if (isset($_GET["lecture_id"]) && is_numeric($_GET["lecture_id"])) {
	$lecture_id = $_GET["lecture_id"];
}
if (isset($_GET["class_id"]) && is_numeric($_GET["class_id"])) {
	$class_id = $_GET["class_id"];
}

if (isset($_GET["event_link_id"]) && is_numeric($_GET["event_link_id"])) {
	$current_event = $_GET["event_link_id"];
}

if ($lecture_id == "" || $class_id == "") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

	$class_info_object = new CTeacherClassAccess();
	$class_inf=$class_info_object->getClassMember($conn, $class_id);
	if ($class_inf == false) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/index.php");
		exit;
	} else {
		//Ϥ
		//ԤôԤΤߤΥ
		if ($admin_status <> 1 && $class_inf[0]['teacher_id'] <> $admin_id) {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/class_reg/index.php");
			exit;
		}
	}

	$lecture_frame_object = new CMakeLectureFrame();
	$lecture_frame_object->preview($conn,$lecture_id);
	if ($current_event <> "") $lecture_frame_object->switchMainFrame($current_event);
	$lecture_nam = $lecture_frame_object->getLectureNam();

	$main_frame = $lecture_frame_object->getMainFrame();


	$sub_frame = $lecture_frame_object->getSubFrame();
	$event_cnt = count($sub_frame);

	foreach($sub_frame as $event_link_id=>$frame_cont) {
		//$sub_frames .= "<td>".$frame_cont;
		$sub_frames .= "<td";
		if ($event_link_id == $current_event) {
			$sub_frames .= " bgcolor='lightyellow'";
		}
		$sub_frames .= ">".$frame_cont;;
		$sub_frames .= "<br/><a href='preview.php?class_id=".$class_id."&lecture_id=".$lecture_id."&event_link_id=".$event_link_id."'>";
		$sub_frames .= _NORM_COMMON_EVENT_SET."</a></td>";
	}
if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
$show_data = file_get_contents(TEMPLATE_DIR.'ad_lec_reg/preview.tpl');
$show_data = str_replace(':LEC_NAM_REP:', $lecture_nam, $show_data);
$show_data = str_replace(':COLNUM_REP:', ($event_cnt+1), $show_data);
$show_data = str_replace(':MAIN_FRAME_REP:', $main_frame, $show_data);
$show_data = str_replace(':SUB_FRAMES_REP:', $sub_frames, $show_data);

echo $show_data;


?>