<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
} else {
	if ($_POST == null || !isset($_POST["input_flag"])) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/index.php");
		exit;
	}
	$act_type = $_POST["act_type"];
	$material_title= $_POST["material_title"];
	$material_url=$_POST["material_url"];
	if (isset($_POST["is_list"]) && $_POST["is_list"] ==1) {
		$material_url = LOCAL_URL."material/".$_POST["urlselect"];
	}
	$material_url3 = chPostToForm($material_url);
	$material_comment=$_POST["material_comment"];
	$up_id = $_POST["up_id"];
	$department_id = $_POST["department_id"];
	$department_name = "";
	$department_object = new CDepartmentTableAccess();
	$dep_data = $department_object->getDetailDepartmentData($conn,$department_id);
	$department_name = htmlspecialchars($dep_data["department_nam"],ENT_QUOTES);

	if (mb_eregi("\.ppt|\.pptx|\.odp|\.pdf|\.doc|\.docx|\.odt|\.xsl|\.ppsx|\.sldx$",$material_url)) {
		$material_url3 = "http://docs.google.com/gview?url=".$material_url3."&embedded=true";
	}

	if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
	$show_data = file_get_contents(TEMPLATE_DIR.'ad_material_reg/confirm_mat.tpl');
	$show_data = str_replace(':UP_ID_REP:',$up_id,$show_data);
	$show_data = str_replace(':ACT_TYPE_REP:',$act_type,$show_data);

	$show_data = str_replace(':MAT_URL_REP1:',chPostToHtml($material_url),$show_data);
	$show_data = str_replace(':MAT_URL_REP2:',chPostToForm($material_url),$show_data);
	$show_data = str_replace(':MAT_URL_REP3:',$material_url3,$show_data);
	$show_data = str_replace(':COMMENT_REP1:',chPostToHtml($material_comment),$show_data);
	$show_data = str_replace(':COMMENT_REP2:',chPostToForm($material_comment),$show_data);
	$show_data = str_replace(':MAT_TITLE_REP1:',chPostToHtml($material_title),$show_data);
	$show_data = str_replace(':MAT_TITLE_REP2:',chPostToForm($material_title),$show_data);

	$show_data = str_replace(':DEPARTMENT_REP:',$department_name,$show_data);
	$show_data = str_replace(':DEPARTMENT_ID_REP:',$department_id,$show_data);

	echo $show_data;
}
?>