<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../util/validate.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];

$text_id = "";
$input_flag = "";
$up_flag = "";
$show_txt = "";

$img_set="";
$av_set="";
$url_img = LOCAL_URL."img_files/";
$url_av = LOCAL_URL."av_files/";

$department_sel = "";
$level_sel="";
$dif_sel = "";

$is_keyword_display = "inline";
$is_item_display = "none";

$is_file_input_display = "inline";
$is_file_exist_display ="none";

$is_avfile_input_display = "inline";
$is_avfile_exist_display ="none";

$answer = "";
$department_id = "";
$level_id = "";
$practice_title = "";
$practice_text = "";
$difficulty ="";
$status = "";
$comment = "";

//񤭹߰ե
if (isset($_SESSION["tmp_img"])) {
	if (is_dir(IMG_PATH.$_SESSION["tmp_img"])) {
		$img_files = scandir(IMG_PATH.$_SESSION["tmp_img"]);
		foreach($img_files as $del_img){
			if ($del_img <> "." && $del_img <> "..") unlink(IMG_PATH.$_SESSION["tmp_img"]."/".$del_img);

		}
		rmdir(IMG_PATH.$_SESSION["tmp_img"]);
	}
	unset($_SESSION["tmp_img"]);
}

if (isset($_SESSION["tmp_av"])) {
	if (is_dir(DOC_ROOT."av_files/".$_SESSION["tmp_av"])) {
		//unlink($input_inf_arr['tmp_img_dir']."/".$input_inf_arr['img_file']);
		//rmdir($input_inf_arr['tmp_img_dir']);
		$av_files = scandir(DOC_ROOT."av_files/".$_SESSION["tmp_av"]);
		foreach($av_files as $del_av){
			if ($del_av <> "." && $del_av <> "..") unlink(DOC_ROOT."av_files/".$_SESSION["tmp_av"]."/".$del_av);

		}
		rmdir(DOC_ROOT."av_files/".$_SESSION["tmp_av"]);
	}
	unset($_SESSION["tmp_av"]);
}

if ($_POST <> null) {
	if (isset($_POST['ans_txt']))$answer = intval($_POST['ans_txt']);
	if (isset($_POST['dep']))$department_id = intval($_POST['dep']);
	if (isset($_POST['lev']))$level_id = intval($_POST['lev']);
	if (isset($_POST['practice_title']))$practice_title = htmlspecialchars($_POST['practice_title'],ENT_QUOTES);
	if (isset($_POST['practice_txt']))$practice_text = htmlspecialchars($_POST['practice_txt'],ENT_QUOTES);
	if (isset($_POST['dif']))$difficulty =intval($_POST['dif']);
	if (isset($_POST['status']))$status = intval($_POST['status']);
	if (isset($_POST['comment']))$comment = htmlspecialchars($_POST['comment'],ENT_QUOTES);
	if ($answer == 1 || $answer == 2) {
		$is_keyword_display = "none";
		$is_item_display = "inline";
	}
}

//$data_object = new CDbAccess();
//if ($data_object->openDB() == false) {
//	$err_msg .= $data_object->err_msg;
//} else {
	//$dep_object = new CCreateDepSelect($data_object->conn);
	$dep_object = new CCreateDepSelect($conn);
	$dep_object->setDataForInput();
	$department_sel = $dep_object->getPullDown("department", $department_id);
	$dep_dat_arr  = $dep_object->getBasicData();

	//$dif_object = new CCreateDifficSelect($data_object->conn);
	$dif_object = new CCreateDifficSelect($conn);
	$dif_object->setDataForInput();
	$dif_sel = $dif_object->getRadioList ("dif", $difficulty);
	$dif_dat_arr = $dif_object->getBasicData();

	//$lev_object = new CCreateTxtLevelSelect($data_object->conn);
	$lev_object = new CCreateTxtLevelSelect($conn);
	$lev_object->setDataForInput();
	$level_sel = $lev_object->getRadioList ("lev", $level_id);
	$lev_dat_arr = $lev_object->getBasicData();

if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
//}

$show_data = file_get_contents('../../templates/ad_practice/practice_form.tpl');
$show_data = str_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);

$show_data = str_replace(':PRAC_TITLE_TXT:', $practice_title, $show_data);
$show_data = str_replace(':PRAC_TXT_REP:', $practice_text, $show_data);

$show_data = str_replace(':DEP_SEL_REP:', $department_sel, $show_data);
$show_data = str_replace(':LEV_SEL_REP:', $level_sel, $show_data);
$show_data = str_replace(':DIF_SEL_REP:', $dif_sel, $show_data);

$show_data = str_replace(':COMMENT_REP:', $comment, $show_data);

for ($i=0; $i<3; $i++) {
	$answer_selected = "";
	$status_selected = "";
	if ($answer === $i) $answer_selected = "SELECTED";
	if ($status === $i) $status_selected = "SELECTED";
	$show_data = str_replace(':SELECTED_REP'.$i.':', $answer_selected, $show_data);
	$show_data = str_replace(':ST_SELECTED_REP'.$i.':', $status_selected, $show_data);
}

for ($i=0; $i <10; $i++) {
	$key_word_rep = "";
	$bango_rep = "";
	$item_txt_rep = "";
	$is_right_rep = "";
	if (isset($_POST['keyword'.$i])) htmlspecialchars($key_word_rep = $_POST['keyword'.$i],ENT_QUOTES);
	if (isset($_POST['item_bango'.$i])) $bango_rep = htmlspecialchars($_POST['item_bango'.$i],ENT_QUOTES);
	if (isset($_POST['item_txt'.$i])) $item_txt_rep = htmlspecialchars($_POST['item_txt'.$i],ENT_QUOTES);
	if (isset($_POST['is_right'.$i]) && $_POST['is_right'.$i] == 1) $is_right_rep = "CHECKED";
	$show_data = str_replace(':KEY_WORD'.$i.'_REP'.$i.':', $key_word_rep, $show_data);
	$show_data = str_replace(':BANGO_REP'.$i.':', $bango_rep, $show_data);
	$show_data = str_replace(':ITEM_TXT_REP'.$i.':', $item_txt_rep, $show_data);
	$show_data = str_replace(':IS_RIGHT'.$i.'_REP:', $is_right_rep, $show_data);

}
$show_data = str_replace(':DEL_BUTTON_REP:', "", $show_data);

$show_data = str_replace(':KEY_WORD_DISPLAY_REP:', $is_keyword_display, $show_data);
$show_data = str_replace(':ITEM_DISPLAY_REP:', $is_item_display, $show_data);

$show_data = str_replace(':PRA_ID_REP:', "", $show_data);
$show_data = str_replace(':QUE_ID_REP:', "", $show_data);
$show_data = str_replace(':ACT_TYPE_REP:', "insert", $show_data);

$show_data = str_replace(':FILE_INPUT_DISPLAY_REP:', $is_file_input_display, $show_data);
$show_data = str_replace(':FILE_EXIST_DISPLAY_REP:', $is_file_exist_display, $show_data);
$show_data = str_replace(':TEXT_ID_REP:', "", $show_data);
$show_data = str_replace(':PRAC_COM_REP:', "", $show_data);
$show_data = str_replace(':ANALYSIS_REP:', "", $show_data);
$show_data = str_replace(':CREATER_DISP_REP:', "", $show_data);
$show_data = str_replace(':AVFILE_INPUT_DISPLAY_REP:', $is_avfile_input_display, $show_data);
$show_data = str_replace(':AVFILE_EXIST_DISPLAY_REP:', $is_avfile_exist_display, $show_data);

$show_data = str_replace(':EXIST_FILE_NAME_REP:', "", $show_data);
$show_data = str_replace(':EXIST_AVFILE_NAME_REP:', "", $show_data);
echo $show_data;
?>