<?php
require_once '../data/constant.php';
require_once '../data/db_access.php';
require_once '../data/table_access.php';
require_once '../data/data_for_lec.php';
require_once '../util/for_lecture.php';
require_once '../util/post_util.php';

ini_set("session.save_handler","files");
ini_set('session.use_trans_sid', '1');

$input_flag = "";
$invite_key = "";
$login = "";
$login2 = "";
$pwd = "";
$pwd2 = "";
$name="";
$email="";
$email2="";

$err_msg = "";
$sis_id = "";
$mobile_id = "";
$lecture_id = "";
$groupid="";
$student_id = 0;
$is_logout = 0;
$is_smart = 0;



$right_invite_key = "";
$ses_arr = array();

//xoops2.12.0ߤ
$is_cube="";
if ($_GET<>null && isset($_GET['is_cube']) &&
	is_numeric($_GET['is_cube'])) {
	$is_cube = $_GET['is_cube'];
}

if ($_POST <> null) {
	$input_flag = $_POST['input_flag'];
	$is_cube = $_POST['is_cube'];
}
if (!isset($_REQUEST["lecture_id"]) || !is_numeric($_REQUEST["lecture_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET);
	exit;
} else {
	$lecture_id = $_REQUEST["lecture_id"];
}

if (!isset($_REQUEST["groupid"]) || !is_numeric($_REQUEST["groupid"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET);
	exit;
} else {
	$groupid = $_REQUEST["groupid"];
}

session_start();
$agent = $_SERVER['HTTP_USER_AGENT'];
if (mb_ereg("^DoCoMo", $agent)){
	$sis_id="?".session_name()."=".session_id();
	$mobile_id = $_SERVER['HTTP_X_DCMGUID'];
} else {
	if(mb_ereg("^J-PHONE|^Vodafone|^SoftBank", $agent)){
  		$mobile_id = $_SERVER['HTTP_X_JPHONE_UID'];
	}else if(mb_ereg("^UP.Browser|^KDDI", $agent)){
  		$mobile_id = $_SERVER['HTTP_X_UP_SUBNO'];
	}
}

if (mb_ereg("^iPhone|^iPod|^Android", $agent)) {
	if (isset($_COOKIE[SESSION_USR]) && isset($_COOKIE[SESSION_USR]["student_id"]) &&
	is_numeric($_COOKIE[SESSION_USR]["student_id"])) {
		$student_id = $_COOKIE[SESSION_USR]["student_id"];
	}
	$is_smart = 1;
}

//å򥯥ꥢ
if (isset($_SESSION[SESSION_USR])) {
	unset($_SESSION[SESSION_USR]);
}
$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//饹罸椫å
	$class_lec_object = new CLectureTableAccess();
	$right_invite_key = $class_lec_object->getInviteKey($data_object->conn,$lecture_id,$groupid);
	if ($right_invite_key == "") $err_msg = "Wrong Parameter<br/>";

	//ХѤΥ֥
	$mobile_user_object = new CMobileUserTableAccess();
	//饹ȥ桼Υ֥
	$class_stu_object = new CClassStudentTableAccess();
	//󥯤Υ֥
	$gu_link_object = new CGroupUserLinkTableAccess();
	//桼Υ֥
	$login_object = new CStudentTableAccess();

	if ($mobile_id <> "" && $mobile_user_object->setUserOfMobile($data_object->conn,$mobile_id)) {
		if ($result = $mobile_user_object->dbFetchArr()) {
			$student_id = $result['usr_id'];
		}
		$mobile_user_object->dbFreeResult();
	}

	if ($student_id <> 0) {
		//λǼּIDåȤƤΤϡޡȥեΥåӤμIDåȤƤ뤳
		$csid=0;

		if (!$gu_link_object->isLinkExist($data_object->conn, $groupid,$student_id)) {
			if (!$gu_link_object->insertLinkExe($data_object->conn,$groupid,$student_id)) {
				$err_msg = "Failed to Insert Link ID";
			}
		}

		if ($class_stu_object->setSelResult("class_student_id",
				" WHERE groupid=".$groupid." AND uid =".$student_id,$data_object->conn)) {
			if ($res = $class_stu_object->dbFetchArr()) {
				$csid = $res["class_student_id"];
			}
			$class_stu_object->dbFreeResult();
		}
		if ($csid == 0) {
//		if ($csid <> 0) {
		if (!$class_stu_object->insDat("uid,groupid",$student_id.",".$groupid,$data_object->conn)) $err_msg .= "Failed to Insert Link ID";
		}
		if ($err_msg == "") {
			$data_arr = $login_object->getOneStudent($data_object->conn,$student_id);
			$ses_arr['student_nam'] = mb_convert_encoding($data_arr['uname'],'UTF-8',XOOPS_SRT_ENCODE);
			$ses_arr['student_id'] = $data_arr["uid"];
			$ses_arr['is_cube'] = $is_cube;
			$_SESSION[SESSION_USR] = $ses_arr;

			if ($is_smart == 1){
				if (isset($_COOKIE[SESSION_USR])) unset($_COOKIE[SESSION_USR]);
				$_COOKIE[SESSION_USR] = $ses_arr;
			}
			$data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."usr/index.php".$sis_id);
			exit;
		}
	}

	if ($input_flag <> "" && $err_msg == "") {
		if ($is_cube == 1) {
			if (!$data_object->setCharForCube()) {
				$err_msg .= $data_object->err_msg;
			}
		}
		$invite_object = new CInviteStudent();
		if ($mobile_id <> "") $invite_object->setMobileId($mobile_id);
		if ($invite_object->regist(
				$data_object->conn,$_POST,$class_stu_object,$login_object,
				$gu_link_object,$class_lec_object,$mobile_user_object,
				$right_invite_key)) {
			$ses_arr = $invite_object->getStudentData();
			$ses_arr['is_cube'] = $is_cube;
			if ($is_smart == 1){
				if (isset($_COOKIE[SESSION_USR])) unset($_COOKIE[SESSION_USR]);
				$_COOKIE[SESSION_USR] = $ses_arr;
			}
			if(isset($_SESSION[SESSION_USR])) unset ($_SESSION[SESSION_USR]);
			$_SESSION[SESSION_USR] = $ses_arr;
			$data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."usr/index.php".$sis_id);
			exit;
		} else {
			$err_msg .= $invite_object->getErrMsg();
		}

		$login = chPostToForm($_POST["uname"]);
		$login2 = chPostToForm($_POST["uname2"]);

		$email = chPostToForm($_POST["email"]);
		$email2=chPostToForm($_POST["email2"]);
		$name=chPostToForm($_POST["name"]);
		$invite_key=chPostToForm($_POST["invite_key"]);

	}

	$data_object->closeDB();
}


$show_data = file_get_contents(TEMPLATE_DIR.'usr_top/new_user_form.tpl');

$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);
$show_data = str_replace(':UNAME_REP:', $login, $show_data);
$show_data = str_replace(':UNAME2_REP:', $login2, $show_data);
$show_data = str_replace(':NAME_REP:', $name, $show_data);
$show_data = str_replace(':EMAIL_REP:', $email, $show_data);
$show_data = str_replace(':EMAIL2_REP:', $email2, $show_data);
$show_data = str_replace(':INVITE_KEY_REP:', $invite_key, $show_data);

$show_data = str_replace(':LECTURE_ID_REP:', $lecture_id, $show_data);
$show_data = str_replace(':GROUP_ID_REP:', $groupid, $show_data);
$show_data = str_replace(':IS_CUBE_REP:', $is_cube, $show_data);

echo $show_data;

?>