<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../util/make_item.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
} else {

	$material_list = "";
	$file_list = "";
	$err_msg = "";
	$err_msg2 = "";
	$disable_file= "DISABLED";
	$start_id = "";
	$show_txt = "";
	$navi="";
	$del_flag = "";
	if ($_GET <> null) {
		$start_id = $_GET['pgid'];
	}
	$material_object = new CMaterialTableAccess();

	if (isset($_POST["DEL_FLAG"]))$del_flag = $_POST["DEL_FLAG"];
	if ($del_flag == "del") {
		//ư
		if (count($_POST) == 1){
			$err_msg = "Failed to Delete Practice Data";
		} else {
			//κ
			$del_condition = "";

			foreach ($_POST as $child) {
				//if ($child <> null && $child <> "" && $child <> "del") {
				if (is_numeric($child)) {
					$del_condition .= "material_id = '".$material_object->escapeSqlString($child);
					$del_condition .= "' OR ";
				}
			}
			//Ρ OR פȤ
			$del_condition = substr($del_condition, 0, -4);
//			if(!$practice_object->delDat($del_condition, $data_object->conn)) {
			if(!$material_object->delDat($del_condition, $conn)) {
			$err_msg = "Failed to Delete Material Data";
				$err_msg .= $material_object->err_msg;
			}
		}

	}

	if ($start_id =="" || $start_id ==null) {
		$start_id = 0;
	}

	$data = $material_object->getList("*","",$conn);

	$make_item = new get_item();
	$navi = $make_item->get_navi($start_id, count($data), GET_NUM, 'index.php');

	if (!$data) {
		$show_txt ="<tr><td colspan='4'>"._COMMON_DB_NODATA_FOUND."</tr></td>";
	} else {
		$data = array_splice($data, ($start_id * GET_NUM), GET_NUM);
		$i = 0;
		foreach ($data as $child) {
			$show_txt .= "<tr><td>";
			$show_txt .= "<input type='checkbox' name='DEL".$i."' value='".intval($child['material_id'])."'/></td>";
			$show_txt .= "<td><a href='insert_mat.php?material_id=".$child["material_id"]."'>";
			$show_txt .= htmlspecialchars($child["material_title"],ENT_QUOTES)."</a></td>";
			$show_txt .= "<td>".substr($child['create_time'],0,16)."</td>";

			$show_txt .= "<td><a href='#' onclick=\"javascript:window.open('".htmlspecialchars($child["material_url"],ENT_QUOTES)."','material_url', 'width=400, height=300, menubar=no, toolbar=no, scrollbars=yes');\">";

			if (mb_eregi("\.ppt|\.pptx|\.odp|\.pdf|\.doc|\.docx|\.odt|\.xsl|\.ppsx|\.sldx$",$child["material_url"])) {
			$show_txt .= "<iframe src='http://docs.google.com/gview?url=".htmlspecialchars($child["material_url"],ENT_QUOTES)."&embedded=true' STYLE='zoom:50%' Scrolling='no'></iframe>";
			} else {
			$show_txt .= "<iframe src='".htmlspecialchars($child["material_url"],ENT_QUOTES)."' STYLE='zoom:50%' Scrolling='no'></iframe>";
			}
			$show_txt .= htmlspecialchars($child["material_url"],ENT_QUOTES)."</a>";

			$show_txt .= "</td></tr>";
			$i++;
		}
	}

	if (!is_writable(DOC_ROOT."material/")) {
		$err_msg = DOC_ROOT."material/"._NORM_TEA_MATERIAL_FOL_ERR;
	} else {

		$res_dir = opendir(DOC_ROOT."material/");
		while ($file_name = readdir($res_dir)) {
			if ($file_name != "." && $file_name != ".." && is_file(DOC_ROOT."material/".$file_name)) {
				$file_list .= "<a href='#' onclick=\"javascript:window.open('".LOCAL_URL."material/".htmlspecialchars($file_name,2)."','material', 'width=400, height=300, menubar=no, toolbar=no, scrollbars=yes');\">";
				$file_list .= htmlspecialchars($file_name,2)."</a><br/>";
			}
		}
	}
if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
	$show_data = file_get_contents(TEMPLATE_DIR.'ad_material_reg/index.tpl');
	$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
	$show_data = str_replace(':NAV_REP:', $navi, $show_data);
	$show_data = str_replace(':TBL_DATA:', $show_txt, $show_data);
	$show_data = str_replace(':FILE_LIST_REP:', $file_list, $show_data);

	echo $show_data;
}
?>