<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_lecture.php';

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_USR];
//$admin_status =$ses_list['status'];
$st_id=$ses_list['student_id'];

$lecture_id = "";
if (isset($_REQUEST["lecture_id"]) && is_numeric($_REQUEST["lecture_id"])){
	$lecture_id = $_REQUEST["lecture_id"];
}
$err_msg = "";
$note_list = "";
$note_text = "";

if (isset($_POST["note_text"]) && isset($_POST["lecture_id"]) &&
	isset($_POST["event_link_id"])) {
	if ($_POST["note_text"] == "") {
		$err_msg = _NORM_USER_NOTE_EMPTY_ERR;
	} else {
		$note_text = $_POST["note_text"];
	}
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	if ($note_text <> "") {
		//ϤäȤ
		$note_id = "";
		$note_data_object = new CNoteTableAccess();
		if (isset($_POST["note_id"])) {
			//
			if (!$note_data_object->updateNoteExe(
					$data_object->conn,$_POST["note_id"],$note_text)) {
				$err_msg .= "Failed to update note.";
			}
		}
/*
		else {
			//
			if (!$note_data_object->insertNoteExe(
					$data_object->conn,$_POST["event_link_id"],$st_id,$note_text)) {
				$err_msg .= "Failed to insert note.";
			}
		}
		*/
		if ($err_msg == "") {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."usr/lec_info/note_frame.php?lecture_id=".$lecture_id."#event_link_".$_POST["event_link_id"]);
			exit;
		}
	}

	$note_list_object = new CStudentNoteList();
	$note_list_object->setNoteList($data_object->conn,$lecture_id,$st_id);
	$note_list = $note_list_object->getNoteList();

	$data_object->closeDB();
}

$show_data = file_get_contents(TEMPLATE_DIR.'usr_lec_info/note_frame.tpl');
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);

$show_data = str_replace(':NOTE_LIST_REP:', $note_list, $show_data);

echo $show_data;
?>