<?php
class validator {
	var $act_nam;
	var $err_msg;
	var $nec_arr;
	var $nec_arr_nam;
	function validator () {}

	function setFormType ($frm_type) {
		$this->act_nam = $frm_type;
		//which form?
		if ($frm_type == 'txt_make') {
			$this->nec_arr = array('title','content');
			$this->nnec_arr_nam = array(_EXAM_TEA_TXT_TITLE,_EXAM_TEA_TXT_CONTENTS);
		} else if ($frm_type == 'question_make') {
			$this->nec_arr = array('ans_txt','QTAREA');
			$this->nnec_arr_nam = array(_EXAM_TEA_QUEST_ANSWER_TYPE,_EXAM_TEA_QUEST_TXT);
		} else if ($frm_type == 'item_make') {
			$this->nec_arr = array('item_txt','item_order');
			$this->nnec_arr_nam = array(_EXAM_TEA_OPTION_TITLE,_EXAM_TEA_OPTION_ORDER);
		} else if ($frm_type == 'tea_make') {
			$this->nec_arr = array('teacher_nam','login_id','login_id2','passwd','passwd2');
			$this->nnec_arr_nam = array('̾','ID','ID2','ѥ','ѥ2');
		} else if ($frm_type == 'tea_mod') {
			$this->nec_arr = array('teacher_nam','login_id','passwd');
			$this->nnec_arr_nam = array('̾','ID','ѥ');
		} else if ($frm_type == 'class_make') {
			$this->nec_arr = array('class_nam');
			$this->nnec_arr_nam = array('饹̾');
		} else if ($frm_type == 'stu_make') {
			$this->nec_arr = array('student_nam','login_id','login_id2','passwd','passwd2');
			$this->nnec_arr_nam = array('ּ̾','ID','ID2','ѥ','ѥ2');
		} else if ($frm_type == 'cl_test_make') {
			$this->nec_arr = array('test_nam');
			$this->nnec_arr_nam = array(_EXAM_TEA_TEST_TEST_NAM);
		} else if ($frm_type == 'key_word_make') {
			$this->nec_arr = array('key_word_txt','score');
			$this->nnec_arr_nam = array(_EXAM_TEA_KEY,_EXAM_TEA_KEY_WEIGHT);
		} else if ($frm_type == 'st_eval_score') {
			$this->nec_arr = array("total_score");
			$this->nnec_arr_nam = array(_EXAM_COMMON_EVAL_SCORE_TXT);
		} else if ($frm_type == 'stu_mod') {
			$this->nec_arr = array('student_nam','passwd');
			$this->nnec_arr_nam = array('ּ̾','ѥ');
		} else if ($frm_type == 'test_nam') {
			$this->nec_arr = array('test_nam');
			$this->nnec_arr_nam = array(_EXAM_TEA_TEST_TEST_NAM);
		}
	}
	function setErrMsg ($data_arr) {
		$this->errMsg = "";
		for ($i =0; $i < count($this->nec_arr); $i++) {
			if ($data_arr[$this->nec_arr[$i]] == null || $data_arr[$this->nec_arr[$i]] == "") {
				$this->err_msg .= $this->nnec_arr_nam[$i]._EXAM_VALIDATE_NOTINPUT_ERR;
			}
		}
	}

}

class valid_doub extends validator {
//ʣåޤ
	var $doub_set_arr;
	var $doub_set_nam;
	function setFormPlus($frm_type) {
		$this->setFormType($frm_type);
		if ($frm_type == 'tea_make') {
			$this->doub_set_arr = array('login_id','passwd','mail_ad');
			$this->doub_set_nam = array('ID','ѥ','᡼륢ɥ쥹');
		} else if ($frm_type == 'stu_make') {
			$this->doub_set_arr = array('login_id','passwd','mail_ad');
			$this->doub_set_nam = array('ID','ѥ','᡼륢ɥ쥹');
		}
	}
	function setErrMsgPlus($data_arr) {
		$this->setErrMsg($data_arr);
		for ($i =0; $i < count($this->doub_set_arr); $i++) {
			if ($data_arr[$this->doub_set_arr[$i]] <> $data_arr[$this->doub_set_arr[$i]."2"]) {
				$this->err_msg .= $this->doub_set_nam[$i]."ϤåƤ<br>";
			}
		}
	}
}

class valid_plus_date extends validator {
	var $date_type_par;
	var $date_type_nam;
	var $int_type_par;
	var $int_type_nam;
	function valid_plus_date($frm_type) {
		$this->setFormType($frm_type);
		if ($frm_type == 'test_nam') {
			$this->date_type_par = array('test_year','test_mon','test_day');
			$this->date_type_nam = _EXAM_TEA_TEST_EXAM_DATE;
			$this->int_type_par = array('duration','exp_sco');
			$this->int_type_nam = array(_EXAM_TEA_TEST_DURATION,_EXAM_TEA_TEST_EXP_SCORE);
		}
		if ($frm_type =='lec_nam') {
			$this->date_type_par = array('lec_year','lec_mon','lec_day');
			$this->date_type_nam = _EXAM_TEA_TEST_EXAM_DATE;
			/*
			$this->int_type_par = array('duration','exp_sco');
			$this->int_type_nam = array(_EXAM_TEA_TEST_DURATION,_EXAM_TEA_TEST_EXP_SCORE);
			*/
			$this->int_type_par = array('duration');
			$this->int_type_nam = array(_EXAM_TEA_TEST_DURATION);
		}
	}

	function setErrMsgDate($data_arr) {
	//褺ϡϥå
		$this->setErrMsg($data_arr);

		if (!checkdate($data_arr[$this->date_type_par[1]],$data_arr[$this->date_type_par[2]],$data_arr[$this->date_type_par[0]])) {
			$this->err_msg .= $this->date_type_nam._EXAM_VALIDATE_NO_DATE_FORMAT;
		}
		for ($i =0; $i < count($this->int_type_par); $i++) {
			if (!is_numeric($data_arr[$this->int_type_par[$i]])) {
				$this->err_msg .= $this->int_type_nam[$i]._EXAM_VALIDATE_NUMERIC_ERR;
			}
		}
	}
}

class valid_plus_num extends validator {
	var $num_arr;
	var $num_nam;
	function valid_plus_num ($frm_type) {
		$this->setFormType($frm_type);
		if ($frm_type == 'item_make') {
			$this->num_nam = array("ֹ");
			$this->num_arr = array("item_order");
		} else if ($frm_type == 'key_word_make') {
			$this->num_nam = array(_EXAM_TEA_KEY_WEIGHT);
			$this->num_arr = array("score");
		} else if ($frm_type == 'st_eval_score') {
			$this->num_nam = array(_EXAM_COMMON_EVAL_SCORE_TXT);
			$this->num_arr = array("total_score");
		} else if ($frm_type == 'question_make') {
			$this->num_nam = array(_EXAM_TEA_QUEST_ANSWER_LEN,_EXAM_TEA_QUEST_WORD_NUM);
			$this->num_arr = array("max_length","max_words");

		} else if ($frm_type == 'txt_make') {
			$this->num_nam = array(_EXAM_TEA_AV_REPEAT);
			$this->num_arr = array("av_repeat");

		}
	}

	function setErrMsgNum($data_arr) {
	//褺ϡϥå
		$this->setErrMsg($data_arr);
		for ($i =0; $i < count($this->num_arr); $i++) {
			if (!is_numeric($data_arr[$this->num_arr[$i]]) && $data_arr[$this->num_arr[$i]] <> "" && $data_arr[$this->num_arr[$i]] <> null) {
				$this->err_msg .= $this->num_nam[$i]._EXAM_VALIDATE_NUMERIC_ERR;
			}
		}
	}
//ϥեѴؿ
	function setErrMsgForQuest ($data_arr) {
	//褺ϡϥå
		$this->setErrMsg($data_arr);
		for ($i =0; $i < count($this->num_arr); $i++) {
			if (!is_numeric($data_arr[$this->num_arr[$i]]) && $data_arr[$this->num_arr[$i]] <> "" && $data_arr[$this->num_arr[$i]] <> null) {
				$this->err_msg .= $this->num_nam[$i]._EXAM_VALIDATE_NUMERIC_ERR;
			}
		}
		if ($data_arr['ans_txt'] == 4 && ($data_arr['rep_key'] == "" || $data_arr['rep_key'] == null)) {
			$this->err_msg .= _EXAM_VALIDATE_REPTAG_NEED;
		}

	}

}

class valid_list_up {
	var $list_cnt;
	var $frm_type;
	function valid_list_up ($frm_type, $cnt) {
		$this->frm_type = $frm_type;
		$this->list_cnt = $cnt;
	}

	function getErrMsg ($data_arr) {
		$ret_msg = _EXAM_VALIDATE_CHECK_ANY;
		$type = $this->frm_type;
		for ($i =0; $i < $this->list_cnt; $i++) {
			//if ($data_arr[$type.$i] <> "" && $data_arr[$type.$i] <> null) {
			if (array_key_exists($type.$i, $data_arr) == true) {
				$ret_msg = "";
			}
		}
		return $ret_msg;
	}
}

class valid_up_order {
	var $input_type;
	function valid_up_order ($type) {
		$this->input_type = $type;
	}
	function getErrMsg($dat_arr) {
		$ret_msg="";
		if ($this->input_type == "ORDER_SET") {
			for ($i=0; $i<$dat_arr['data_cnt']; $i++) {
				if ($dat_arr['order'.$i] == "" || $dat_arr['order'.$i] == null) {
					$ret_msg .=_EXAM_TEA_TEST_QUEST_FORM_ORDER_TXT._EXAM_VALIDATE_NOTINPUT_ERR;
				} else if (!is_numeric($dat_arr['order'.$i])) {
					$ret_msg .=_EXAM_TEA_TEST_QUEST_FORM_ORDER_TXT._EXAM_VALIDATE_NUMERIC_ERR;
				}
				if (!is_numeric($dat_arr['score'.$i])) {
					$ret_msg .=_EXAM_TEA_TEST_QUEST_FORM_RATIO_TXT._EXAM_VALIDATE_NUMERIC_ERR;
				}
			}
		}
		return $ret_msg;
	}

}
?>